Package org.mozilla.javascript

## Class Undefined

- java.lang.Object
- - org.mozilla.javascript.Undefined

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Undefined
      extends java.lang.Object
      implements java.io.Serializable

  This class implements the Undefined value in JavaScript.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.Object` | `instance` |
    `static Scriptable` | `SCRIPTABLE_UNDEFINED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `static boolean` | `isUndefined​(java.lang.Object obj)` |
    `java.lang.Object` | `readResolve()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final java.lang.Object instance

    - #### SCRIPTABLE_UNDEFINED

          public static final Scriptable SCRIPTABLE_UNDEFINED

  - ### Method Detail

    - #### readResolve

          public java.lang.Object readResolve()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isUndefined

          public static boolean isUndefined​(java.lang.Object obj)